//
// Fursin Program - Class CFGGCfg for configurations
//
// Initialization:
//   NumbOfParams - Number of parameters in configuration
//					(starting from 1, i.e. 1,2,3 ...)
//   MaxSTRLen    - Maximum length of one string (of one parameter)
//   NameOfFile   - Name of file with configuration
//

#if !defined(CFGGCFG_INCLUDED_)
#define CFGGCFG_INCLUDED_ 

class CFGGCfg
{
private:
	char *CFG;
	char *FNameOfFile;
	int FNumbOfParams;
	int FMaxSTRLen;	

public:
	CFGGCfg(int NumbOfParams, int MaxSTRLen, char *NameOfFile);
	int Load(void);
	char *Get(int Param) {return &CFG[(Param-1)*FMaxSTRLen];}; 
	void Change(int Param, char *Addr);
	int Save(void);
};
#endif
